Bug 1168220

Summary: bash completion for --install should not suggest srpm
Product: [Fedora] Fedora Reporter: Vít Ondruch <vondruch>
Component: mockAssignee: Miroslav Suchý <msuchy>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jdisnard, mebrown, msimacek, msuchy, praiskup, williams
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mock-1.2.6-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-21 23:09:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vít Ondruch 2014-11-26 12:51:49 UTC
Description of problem:
The bash completion for --install command used to suggest installable wiles, i.e. {noarch,x86_64}.rpm. Now it suggest src.rpm. This is wrong.

Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.2-1.fc20.noarch


How reproducible:
Always

Steps to Reproduce:
1. mock -r ruby --install /var/lib/mock/ruby/result/vagrant-1.6.5-14.fc22<TAB>
2.
3.

Actual results:
mock -r ruby --install /var/lib/mock/ruby/result/vagrant-1.6.5-14.fc22.src.rpm

Expected results:
mock -r ruby --install /var/lib/mock/ruby/result/vagrant-1.6.5-14.fc22.noarch.rpm

Additional info:

Comment 1 Miroslav Suchý 2014-12-03 13:07:44 UTC
To be precise it complete src.rpm or rpm. It depend on order of directory listing.

Fixed in commit cee4de1c61124e5223871fa7fa5e2727981c49f0

Comment 2 Miroslav Suchý 2014-12-03 13:15:50 UTC
Correct commit number is bd17bee26cad7896b5416729f31987affdbacc6d

Comment 3 Vít Ondruch 2014-12-03 13:27:00 UTC
What is the point of auto-completing SRPM? You can't install SRPM, can you?

Comment 4 Miroslav Suchý 2014-12-04 09:34:18 UTC
True.

Fixed in 10c598e

Comment 5 Fedora Update System 2014-12-04 12:06:25 UTC
mock-1.2.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.3-1.fc21

Comment 6 Fedora Update System 2014-12-04 12:09:57 UTC
mock-1.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.3-1.fc20

Comment 7 Fedora Update System 2014-12-04 12:10:53 UTC
mock-1.2.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.3-1.el7

Comment 8 Fedora Update System 2014-12-04 12:12:21 UTC
mock-1.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.3-1.el6

Comment 9 Fedora Update System 2014-12-05 00:46:36 UTC
Package mock-1.2.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.2.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16285/mock-1.2.3-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-12 04:07:18 UTC
mock-1.2.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-17 04:42:23 UTC
mock-1.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Vít Ondruch 2014-12-19 15:34:42 UTC
This does not work for me.

mock -r ruby --install '/usr/bin/ruby' /var/lib/mock/fedora-rawhide-x86_64/result/rubypick-1.1.1-2<tab>

=>

mock -r ruby --install '/usr/bin/ruby' /var/lib/mock/fedora-rawhide-x86_64/result/rubypick-1.1.1-2.fc22.src.rpm

The first parameter is resolved properly, while for the second is again suggested just src.rpm

Comment 13 Fedora Update System 2015-01-06 02:06:06 UTC
mock-1.2.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-06 02:07:31 UTC
mock-1.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Vít Ondruch 2015-01-06 08:54:16 UTC
Come on bodhi ....

Comment 16 Miroslav Suchý 2015-01-09 09:33:11 UTC
Duplicates removed in commit c0608d7

Regarding completing 2nd and next file - I'm afraid this is limitation of bash-completion and can not be done with current design.

Comment 17 Fedora Update System 2015-01-16 09:56:54 UTC
mock-1.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc21

Comment 18 Fedora Update System 2015-01-16 09:57:29 UTC
mock-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc20

Comment 19 Fedora Update System 2015-01-16 10:01:16 UTC
mock-1.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el7

Comment 20 Fedora Update System 2015-01-16 10:01:54 UTC
mock-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el6

Comment 21 Fedora Update System 2015-01-16 19:10:35 UTC
Package mock-1.2.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0312/mock-1.2.4-1.el7
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2015-01-21 23:09:17 UTC
mock-1.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-01-27 03:04:47 UTC
mock-1.2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-01-28 15:21:02 UTC
mock-1.2.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el7

Comment 25 Fedora Update System 2015-01-28 15:22:11 UTC
mock-1.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el6

Comment 26 Fedora Update System 2015-01-28 15:23:26 UTC
mock-1.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc20

Comment 27 Fedora Update System 2015-01-28 15:24:32 UTC
mock-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc21

Comment 28 Fedora Update System 2015-02-02 17:22:40 UTC
mock-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-02-03 04:42:37 UTC
mock-1.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el6

Comment 30 Fedora Update System 2015-02-03 04:42:58 UTC
mock-1.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el7

Comment 31 Fedora Update System 2015-02-03 04:43:49 UTC
mock-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc20

Comment 32 Fedora Update System 2015-02-03 04:44:26 UTC
mock-1.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc21

Comment 33 Fedora Update System 2015-02-09 05:29:44 UTC
mock-1.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2015-02-15 02:56:01 UTC
mock-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2015-02-20 00:32:48 UTC
mock-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2015-02-20 00:33:58 UTC
mock-1.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.